(function () {
  var reg = /(.*)(mail|inbox)\.google\.com(.*)/;
  var results = reg.exec(window.location.host);
  if(results == null || results.length == 0) {
    return;
  }
  chrome.runtime.sendMessage({ type: "getInfo" }, function(response) {
    appendStylesheet(response.gcss);

    e = document.createElement('div');
    e.style.cssText = 'display: none';
    e.innerHTML = response.html;
    document.body.appendChild(e);

    InboxSDK.Util.loadScript(response.gjs);
  })

}());

var appendStylesheet = function(url) {
  var sheet = document.createElement('link');
  sheet.rel = 'stylesheet';
  sheet.type = 'text/css';
  sheet.href = url;
  document.head.appendChild(sheet);
};
